# -*- encoding: utf-8 -*-

from django.conf.urls.defaults import *
from django.contrib.auth.decorators import login_required
from django.views.generic.simple import direct_to_template


urlpatterns = patterns(
    '',
    # просмотр
    url(r'^$',
        'timetable.views.week_timetable', name = 'index'),
    url(r'^week/$',
        'timetable.views.week_timetable', name = 'week_timetable'),
    url(r'^week/(?P<skip>\d+)/$',
        'timetable.views.week_timetable', name = 'week_timetable_skip'),
    url(r'^day/$',
        'timetable.views.day_timetable', name = 'day_timetable'),
    url(r'^day/(?P<skip>\d+)/$',
        'timetable.views.day_timetable', name = 'day_timetable_skip'),

    # редактирование расписания
    url(r'^edit/$',
        'timetable.views.timetable_edit', name = 'timetable_edit_index'),
    url(r'^gym/(?P<id>\d+)/edit/$',
        'timetable.views.timetable_edit', name = 'timetable_edit'),
    url(r'^gym/(?P<id>\d+)/edit/(?P<period_id>\d+)$',
        'timetable.views.timetable_edit', name = 'timetable_edit_period'),
    # редактирование периодов
    url(r'^gym/(?P<id>\d+)/period/$',
        'timetable.views.period_create', name = 'period_create'),
    url(r'^period/(?P<id>\d+)/$',
        'timetable.views.period_edit', name = 'period_edit'),
    # руководство админа
    url(r'^readme/$', login_required(direct_to_template),
        {'template': 'timetable/readme.html'}, name = 'readme'),
    
    
    )
