# -*- encoding: utf-8 -*-

from django.db import models


def form_maker(request):
    ''' Возвращает функцию для создания экземпляров форм. '''
    if request.method == 'POST':
        return lambda f, **kwargs: f(request.POST, **kwargs)
    return lambda f, **kwargs: f(**kwargs)


def make_url(url_name):
    return models.permalink(
        lambda self, url_name = url_name: (url_name, (), {'id': self.id}))
